$mailboxes = @(Get-Mailbox | ? {$_.RecipientType -eq 'UserMailbox')

ForEach ($mailbox in $mailboxes){
 	$devices = @(Get-ActiveSyncDeviceStatistics -mailbox $mailbox.Alias | Where-Object {($_.DevicePhoneNumber -ne '') -and ($_.FirstSyncTime -gt (Get-Date).addhours(-24))}) | Sort-Object LastSuccessSync -descending | Select-Object -first 1

	ForEach ($device in $devices){
		if($device.DevicePhoneNumber){
			$NumberLength = $device.DevicePhoneNumber.length
			if ($NumberLength -eq 10) {$DeviceNumber = $device.DevicePhoneNumber.SubString(0,3)+"-"+$device.DevicePhoneNumber.SubString(3,3)+"-"+$device.DevicePhoneNumber.SubString(6,4)}
			if ($NumberLength -eq 11) {$DeviceNumber = $device.DevicePhoneNumber.SubString(1,3)+"-"+$device.DevicePhoneNumber.SubString(4,3)+"-"+$device.DevicePhoneNumber.SubString(7,4)}
			Set-User $mailbox.Alias -MobilePhone $DeviceNumber
		}
	}
}